Name: quota
Summary: System administration tools for monitoring users' disk usage.
Version: 1.66
Release: 11mdk
Source: sunsite.unc.edu:/pub/Linux/system/Admin/quota-%{version}.tar.bz2
Copyright: BSD
Group: System/Configuration/Other
Patch0: quota-1.66-misc.patch.bz2
Patch1: quota-1.66-dbtob.patch.bz2
Patch2: quota-1.66-glibc.patch.bz2
Patch3: quota-1.66-rsquash.patch.bz2
Patch4: quota-1.66-sparc.patch.bz2
Patch5: quota-1.66-megaloman.patch.bz2
Buildroot: /var/tmp/%{name}-root
BuildRequires: e2fsprogs-devel

%description
The quota package contains system administration tools for
monitoring and limiting users' and or groups' disk usage, per
filesystem.

%prep
%setup -q -c

cd utils
tar xzf quota-1.66.tar.gz
%patch0 -p2 -b .misc
%patch1 -p2 -b .dbtob
%patch2 -p2 -b .glibc
%patch3 -p2 -b .rsquash
%patch4 -p2 -b .sparc

%build
make -C utils RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
perl -pi -e 's,/usr/etc/,/usr/sbin/,g' edquota.8 repquota.8 rquotad.8
perl -pi -e 's,/usr/etc/,/sbin/,g' quotaon.8


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/bin,usr/sbin,usr/man/man{1,2,3,8}}

uid=`id -un` ; gid=`id -gn`
make -C utils ROOTDIR=$RPM_BUILD_ROOT DEF_BIN_MODE=0555 DEF_SUID_MODE=0511 SUPER_OWNER=$uid BIN_OWNER=$uid BIN_GROUP=$gid install

mv $RPM_BUILD_ROOT/usr/sbin/quota $RPM_BUILD_ROOT/usr/bin/quota

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
/sbin/*
/usr/bin/*
/usr/sbin/*
# /usr/sbin/rpc.rquotad
/usr/man/man?/*
# /usr/man/man8/rquotad.8.bz2
# /usr/man/man8/rpc.rquotad.8.bz2

%changelog

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com>

- Some spec file fixes
- Changed group according to 7.1 specs
- Let spec helper do its job

* Tue Jan 11 2000 Pixel <pixel@linux-mandrake.com>
- fix build as non-root

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- rh merge.
- fix man page FUD.(r)
- changes to allow non-root users to build too (Makefile patch, %attr).(r)

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- fix for sparc64 quotas (#2147)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- don't install rpc.rquotad - we will use the one from the knfsd package
  instead

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- merge ultrapenguin 1.1.9 changes.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- removed patch for mntent

* Fri Mar 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- updated to quota 1.66

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- builds rquotad
- installs rpc.rquotad.8 symlink

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- removed /usr/include/rpcsvc/* from filelist
- uses a buildroot and %attr

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Moved /usr/sbin/quota to /usr/bin/quota
